HashMerchant
RegisteredChain
/terp/hashmerchant/v1/chain/{chain_uid}RegisteredChain returns a single registered chain by UID.
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
RegisteredContract
/terp/hashmerchant/v1/contract/{contract_addr}RegisteredContract returns a single registered contract.
RegisteredContracts
/terp/hashmerchant/v1/contractsRegisteredContracts lists all registered contracts.
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.
Responses
Escrow
/terp/hashmerchant/v1/escrow/{contract_addr}Escrow returns the escrow record for a contract.
HashRoot
/terp/hashmerchant/v1/root/{chain_uid}/{algo}HashRoot returns the latest confirmed root for a chain + algorithm.
Path Parameters
Query Parameters
string <byte>key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.
string <uint64>offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.
string <uint64>limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.
booleancount_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.